using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 评估人员表
    /// </summary>
    [Description("评估人员表")]
    public class T_CM_ABILITY_EVALUATE_USER : MesEntityBase
    {
        /// <summary>
        /// 评估ID
        /// </summary>
        [Description("评估ID")]
        [DataFieldForeignKey("Nav_AbilityEvaluate", "Nav_Users")]
        public Guid ABILITY_EVALUATE_ID { get; set; }

        /// <summary>
        /// 导航属性：评估
        /// </summary>
        [Description("导航属性：评估")]
        public T_CM_ABILITY_EVALUATE Nav_AbilityEvaluate { get; set; }

        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 导航属性：人员
        /// </summary>
        [Description("导航属性：人员")]
        public T_FM_USER Nav_User { get; set; }


        /// <summary>
        /// 是否确认
        /// </summary>
        [Description("是否确认")]
        public bool ISCHECK { get; set; }
    }
}
